Skip to main content

suix_getLatestSuiSystemState

POST

Return the latest SUI system state object on-chain.
Responses
jsonrpcstring
idinteger
This is the JSON-RPC type for the SUI system state object. It flattens all fields to make them top-level fields such that it as minimum dependencies to the internal data structures of the SUI system state type.
The list of active validators in the current epoch.
commissionRatestringrequired
descriptionstringrequired
exchangeRatesIdobjectrequired
exchangeRatesSizeobjectrequired
gasPricestringrequired
imageUrlstringrequired
namestringrequired
netAddressstringrequired
networkPubkeyBytesstringrequired
Base64 encoding
nextEpochCommissionRatestringrequired
nextEpochGasPricestringrequired
nextEpochNetAddressstringnull
nextEpochNetworkPubkeyBytesstring
Base64 encoding
nextEpochP2pAddressstringnull
nextEpochPrimaryAddressstringnull
nextEpochProofOfPossessionstring
Base64 encoding
nextEpochProtocolPubkeyBytesstring
Base64 encoding
nextEpochStakestringrequired
nextEpochWorkerAddressstringnull
nextEpochWorkerPubkeyBytesstring
Base64 encoding
operationCapIdobjectrequired
p2pAddressstringrequired
pendingPoolTokenWithdrawobjectrequired
pendingStakeobjectrequired
pendingTotalSuiWithdrawobjectrequired
poolTokenBalanceobjectrequired
primaryAddressstringrequired
projectUrlstringrequired
proofOfPossessionBytesstringrequired
Base64 encoding
protocolPubkeyBytesstringrequired
Base64 encoding
rewardsPoolobjectrequired
stakingPoolActivationEpochstring
The epoch at which this pool became active.
stakingPoolDeactivationEpochstring
The epoch at which this staking pool ceased to be active. None = {pre-active, active},
stakingPoolIdobjectrequired
stakingPoolSuiBalanceobjectrequired
suiAddressobjectrequired
votingPowerstringrequired
workerAddressstringrequired
workerPubkeyBytesstringrequired
Base64 encoding
atRiskValidatorsarrayrequired
Map storing the number of epochs for which each validator has been below the low stake threshold.
epochobjectrequired
epochDurationMsobjectrequired
epochStartTimestampMsobjectrequired
inactivePoolsIdobjectrequired
inactivePoolsSizeobjectrequired
maxValidatorCountobjectrequired
minValidatorJoiningStakeobjectrequired
pendingActiveValidatorsIdobjectrequired
pendingActiveValidatorsSizeobjectrequired
pendingRemovalsarrayrequired
Removal requests from the validators. Each element is an index pointing to active_validators.
protocolVersionobjectrequired
referenceGasPriceobjectrequired
safeModebooleanrequired
Whether the system is running in a downgraded safe mode due to a non-recoverable bug. This is set whenever we failed to execute advance_epoch, and ended up executing advance_epoch_safe_mode. It can be reset once we are able to successfully execute advance_epoch.
safeModeComputationRewardsobjectrequired
safeModeNonRefundableStorageFeeobjectrequired
safeModeStorageRebatesobjectrequired
safeModeStorageRewardsobjectrequired
stakeSubsidyBalanceobjectrequired
stakeSubsidyCurrentDistributionAmountobjectrequired
stakeSubsidyDecreaseRateintegerrequired
The rate at which the distribution amount decays at the end of each period. Expressed in basis points.
stakeSubsidyDistributionCounterobjectrequired
stakeSubsidyPeriodLengthobjectrequired
stakeSubsidyStartEpochobjectrequired
stakingPoolMappingsIdobjectrequired
stakingPoolMappingsSizeobjectrequired
storageFundNonRefundableBalanceobjectrequired
storageFundTotalObjectStorageRebatesobjectrequired
systemStateVersionobjectrequired
totalStakeobjectrequired
validatorCandidatesIdobjectrequired
validatorCandidatesSizeobjectrequired
validatorLowStakeGracePeriodobjectrequired
validatorLowStakeThresholdobjectrequired
validatorReportRecordsarrayrequired
A map storing the records of validator reporting each other.
validatorVeryLowStakeThresholdobjectrequired
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_getLatestSuiSystemState",
"params": []
}'